Get orders (PMS)
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pms/ordersimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pms/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pms/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"creation_date": "2023-11-07T05:31:56Z",
"total": 123,
"tax_amount": 123,
"items": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"quantity": 123,
"unit_price": 123,
"total": 123,
"tax_amount": 123,
"type": "product",
"menu_id": "456",
"tax_rate": 10,
"tax_id": "371ca583-d218-4900-b236-397532cf0e39",
"description": "Pizza",
"discounts": [],
"product_id": "789",
"accounting_category_id": "123"
}
],
"order_number": "1",
"closing_date": "2025-01-01T00:00:00Z",
"service_date": "2025-01-01T00:00:00Z",
"device_id": "device-123",
"total_discount": 10,
"total_refund": 5,
"total_tip": 1,
"delivery_fee": 1,
"mode": "eat_in",
"source": "web",
"currency": "EUR",
"country": "FR",
"loyalty": 100,
"customer_id": "customer-123",
"location_id": "location-123",
"taxes": [],
"guests": 1,
"service_id": "<string>",
"reservation": {
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"start_date": "2024-10-01T12:00:00",
"end_date": "2024-10-10T12:00:00",
"creation_date": "2024-09-25T12:00:00",
"resource_id": {
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
}
},
"resource_name": "Room 101",
"resource_identifier": "R101"
},
"bills": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"invoice_number": "INV-12345",
"creation_date": "2023-10-01T12:00:00",
"closing_date": "2023-10-10T12:00:00",
"partners": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"address": {
"address_type": "home",
"name": "Home",
"street": "Main Street",
"number": "123",
"box": "A",
"city": "Paris",
"postal_code": "75000",
"country": "FR"
},
"first_name": "John",
"last_name": "Doe",
"company_name": "Acme Corp"
}
]
}
]
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Orders
Get orders (PMS)
Returns a list of the orders
GET
/
consumers
/
{consumer_id}
/
pms
/
orders
Get orders (PMS)
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Available options:
consumed, closed ⌘I